cocos2dx 3.x 使用dragonbones 4.5 -- (一)

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/dinko321/article/details/77947098

    spine的坑基本填的差不多了,坑完了spine,又开始坑dragonbones了。

    为什么呢,因为dragonbones免费,而且编辑器和flash类似,现在的美术更熟悉。加上spine的坑确实有点麻烦,想换一个。

    但是真正的换了,开始研究之后,才发现事情并么有那么简单。这个东西的坑也不少。

    后面会慢慢的分析各种利弊,当然也会和spine对比。


先介绍下环境:

    机器是mac环境。

    引擎版本我用的是3.10,本来用的是3.15,但是3.15脑残的对cocosstudio的支持改了,会蹦,换回了3.10。虽然说studio坑也多,但是对于我现在这个小项目而言,基本还碰不到坑的地方。据说有个xstudio365很好用,没时间研究了。小项目,还是用熟悉的东西来的快比较重要。

    dragonebones这个地方要单独说一句,这个是dragonbones不是cocos自带的那个armature。因为cocos后面自己改了,和原来的dragonbones貌似不兼容了。编辑器版本用最新的,导出的格式,用的4.5和json。因为官方在git上面最新的解析库,还不支持5.0。

    这个地方又要吐槽一下了,dragonbones 5.0是支持导出binary格式的,但是官方解析库只到4.5。放弃spine有一个重要原因就是因为编辑器可以导出binary格式,但是官方解析库不支持。想不到dragonbones还是一样。


然后就是配置一下运行库:

    这个很简单,最偷懒的办法,直接把git下载下来的所有文件,放到工程目录classes下面,就可以了。

    但是可能会有一个问题,某些引擎版本,可能会因为json的原因编不过,那就找到引擎目录里面的YOURproject/frameworks/cocos2d-x/external/json,把里面的文件删掉,用下载下来的dragonbones运行库里面的

3rdParty/rapidJson里面的文件替换进去,就搞定了。

    然后你就可以跑个test试一下。



待续。。。

展开阅读全文

没有更多推荐了,返回首页